
# Wijmo

Wijmo 是一套完整的企业级 JavaScript UI 开发组件。 它包括强大的表格、图表、数据透视、输入等组件，并且可以支持各类主流前端框架，包括 Angular、React 和 Vue。

Wijmo 的轻量级、高性能 JavaScript UI 组件可以将您的开发时间缩短一半。

查看我们 [FlexGrid 表格](https://demo.grapecity.com.cn/wijmo/demos/Grid/Overview/purejs) 组件.


---

## 从 NPM 获取您所缺少的开发包！

请务必下载 Wijmo 以获得完整的开发包。 NPM 仅包含我们的 JS 组件，但我们的开发包包含数百个示例，其中包含每个 JS 框架的源代码、实际参考应用程序等等！

**[下载 Wijmo 开发包](https://www.grapecity.com.cn/developer/wijmojs/download) 以启动您的项目。**

---

## 示例

每种 JavaScript 框架中都提供超过 450 个功能示例
![FlexGrid features include Row Selection, Dyanmic Cell Images, Gauges, Conditional Styling and much more](https://global-cdn.grapecity.com/external/wijmo/npm/best-grids-opt.png "FlexGrid features include Row Selection, Dyanmic Cell Images, Gauges, Conditional Styling and much more")

- [JavaScript 示例](https://demo.grapecity.com.cn/wijmo/demos/Grid/Overview/purejs)
- [Vue 示例](https://demo.grapecity.com.cn/wijmo/demos/Grid/Overview/vue)
- [Angular 示例](https://demo.grapecity.com.cn/wijmo/demos/Grid/Overview/angular)
- [React 示例](https://demo.grapecity.com.cn/wijmo/demos/Grid/Overview/react)

我们还提供了 JavaScript 框架中可用的实际应用示例


- [Vue 参考应用](https://www.grapecity.com/wijmo/demos/reference-samples/#GeoDashboard)
- [Angular 参考应用](https://demos.wijmo.com/5/SampleExplorer/SampleExplorer/Sample/WealthHealth)
- [React 参考应用](https://www.grapecity.com/wijmo/demos/reference-samples/#GeoDashboard)
- [React Redux 参考应用](https://www.grapecity.com/wijmo/demos/reference-samples/#CryptoCurrencyTracking)

 [Wijmo 开发包](https://www.grapecity.com.cn/developer/wijmojs/download) 中提供了示例源代码。

## 安装

### 安装最新版本：

```sh
npm install @mescius/wijmo.all
```

### 安装最新的 nightly 版本： 
```sh
npm install @mescius/wijmo.all@nightly
```

### 安装最新的 RC 版本：

```sh
npm install @mescius/wijmo.all@rc
```

## 文档

在线文档可在此处获取：

- [API Reference](https://demo.grapecity.com.cn/wijmo/api/)
- [Documentation Guides](https://demo.grapecity.com.cn/wijmo/docs/GettingStarted/Introduction)

## 许可

Wijmo授权由开发授权和部署授权组成

了解 [WijmoJS 价格与授权方式](https://www.grapecity.com.cn/developer/wijmojs#price).

## 资源

- [快速入门指南](https://demo.grapecity.com.cn/wijmo/docs/GettingStarted/QuickStart/QuickStart-PureJS)
- [Wijmo 产品介绍](https://www.grapecity.com.cn/developer/wijmojs)
- [博客](https://www.grapecity.com.cn/blogs/tags/wijmo)
- [论坛](https://gcdn.grapecity.com.cn/showforum-140-1.html)

Wijmo 开发包可以从 [这里](https://www.grapecity.com.cn/developer/wijmojs/download) 下载

## 支持

**Wijmo 随时为您提供支持**

提供多种售前支持方式。您可以通过电话热线、邮件、售前顾问、在线咨询、添加企业微信等方式获取获取售前咨询、产品解决方案、产品选型等1V1服务。帮您快速了解产品特性，助您POC验证成功，节省时间成本。

- [联系我们](https://www.grapecity.com.cn/support#goumaizixun)


## 问题反馈

我们重视您的反馈并利用建议来帮助创建产品路线图。 告诉我们你的想法。

 [提交您的问题和反馈建议](https://gcdn.grapecity.com.cn/showforum-173-1.html)
